# coding: utf-8

"""
    Endpoints

    Endpoints API for different services in SKIL  # noqa: E501

    OpenAPI spec version: 1.2.0-rc1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class Resource(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'resource_id': 'int',
        'name': 'str',
        'type': 'str',
        'sub_type': 'str',
        'credential_id': 'str'
    }

    attribute_map = {
        'resource_id': 'resourceId',
        'name': 'name',
        'type': 'type',
        'sub_type': 'subType',
        'credential_id': 'credentialId'
    }

    def __init__(self, resource_id=None, name=None, type=None, sub_type=None, credential_id=None):  # noqa: E501
        """Resource - a model defined in Swagger"""  # noqa: E501

        self._resource_id = None
        self._name = None
        self._type = None
        self._sub_type = None
        self._credential_id = None
        self.discriminator = None

        if resource_id is not None:
            self.resource_id = resource_id
        if name is not None:
            self.name = name
        if type is not None:
            self.type = type
        if sub_type is not None:
            self.sub_type = sub_type
        if credential_id is not None:
            self.credential_id = credential_id

    @property
    def resource_id(self):
        """Gets the resource_id of this Resource.  # noqa: E501

        ID of the resource  # noqa: E501

        :return: The resource_id of this Resource.  # noqa: E501
        :rtype: int
        """
        return self._resource_id

    @resource_id.setter
    def resource_id(self, resource_id):
        """Sets the resource_id of this Resource.

        ID of the resource  # noqa: E501

        :param resource_id: The resource_id of this Resource.  # noqa: E501
        :type: int
        """

        self._resource_id = resource_id

    @property
    def name(self):
        """Gets the name of this Resource.  # noqa: E501

        Resource nickname  # noqa: E501

        :return: The name of this Resource.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this Resource.

        Resource nickname  # noqa: E501

        :param name: The name of this Resource.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def type(self):
        """Gets the type of this Resource.  # noqa: E501

        Resource type (whether COMPUTE or STORAGE)  # noqa: E501

        :return: The type of this Resource.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this Resource.

        Resource type (whether COMPUTE or STORAGE)  # noqa: E501

        :param type: The type of this Resource.  # noqa: E501
        :type: str
        """
        allowed_values = ["COMPUTE", "STORAGE"]  # noqa: E501
        if type not in allowed_values:
            raise ValueError(
                "Invalid value for `type` ({0}), must be one of {1}"  # noqa: E501
                .format(type, allowed_values)
            )

        self._type = type

    @property
    def sub_type(self):
        """Gets the sub_type of this Resource.  # noqa: E501

        Resource subtype (COMPUTE -> [EMR, DataProc, HDInsight, YARN] | STORAGE -> [S3, GoogleStorage, AzureStorage, HDFS])  # noqa: E501

        :return: The sub_type of this Resource.  # noqa: E501
        :rtype: str
        """
        return self._sub_type

    @sub_type.setter
    def sub_type(self, sub_type):
        """Sets the sub_type of this Resource.

        Resource subtype (COMPUTE -> [EMR, DataProc, HDInsight, YARN] | STORAGE -> [S3, GoogleStorage, AzureStorage, HDFS])  # noqa: E501

        :param sub_type: The sub_type of this Resource.  # noqa: E501
        :type: str
        """
        allowed_values = ["EMR", "S3", "GoogleStorage", "DataProc", "HDInsight", "AzureStorage", "HDFS", "YARN"]  # noqa: E501
        if sub_type not in allowed_values:
            raise ValueError(
                "Invalid value for `sub_type` ({0}), must be one of {1}"  # noqa: E501
                .format(sub_type, allowed_values)
            )

        self._sub_type = sub_type

    @property
    def credential_id(self):
        """Gets the credential_id of this Resource.  # noqa: E501

        Credentials GUID  # noqa: E501

        :return: The credential_id of this Resource.  # noqa: E501
        :rtype: str
        """
        return self._credential_id

    @credential_id.setter
    def credential_id(self, credential_id):
        """Sets the credential_id of this Resource.

        Credentials GUID  # noqa: E501

        :param credential_id: The credential_id of this Resource.  # noqa: E501
        :type: str
        """

        self._credential_id = credential_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Resource):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
